with GNAT.Htable;
function H (E : Unbounded_String) return Hash_Type is
   type T is new Integer range 0..1023;
   function H1 is new GNAT.Htable.Hash (T);
begin
   return Hash_Type (H1 (To_String (E)));
end H;
